package chapter2;

import java.util.Scanner;

public class Department {
    /*
     * 根据用户输入的信息确定员工应分配到那个部门。
     */
    public static void main(String[] args) {
        // 声明一个 Scanner 对象，用来读取用户的输入
        Scanner input = new Scanner(System.in);

        System.out.println("请输入员工的姓名");
        String name = input.nextLine();

        System.out.println("请输入新员工应聘的语言：");
        String language = input.nextLine();

        switch (language) {
            case "java":
            case "Java":
                System.out.println(name + " 被分配到Java程序开发部门");
                break;
            case "C#":
            case "c#":
                System.out.println(name + " 被分配到C#程序开发部门");
                break;
            case "asp.net":
                System.out.println(name + "被分配到asp.net程序测试");
                break;
            case "html":
            case "HTML":
                System.out.println(name + "被分配到前端程序开发部门");
                break;
            default:
                System.out.println("抱歉，本公司不需要" + language + "语言的人");
                break;
        }
    }
}
